<!DOCTYPE html>
<html lang="en">

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Financial-Integration</title>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
        <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css'>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
        <link rel="stylesheet" href="../../../dist/css/main.css" type="text/css" />
        <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
      </head>

<body>
    <div class="sidenav leftSidebar expandedNav" id="adminBavbar"></div>
    <div id="mainContent">
        <nav class="navbar-header">
            <!-- for topnavigation bar topbar.js -->
        </nav>
        <div class="headerTop">
            <div class="tabsContainer">
                <h2 class="mainHeading">Financial Integration</h2>
            </div>
        </div>

        <div class="main rightContentArea">
            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content adminTabContent withoutTabing">
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">

                                        <h3>Setup

                                        </h3>
                                    </div>
                                </div>
                                <div class="content mb-4">
                                <div class="row no-padding">
                                    <div class="fields mr-4 mb-4">
                                        <label for="company" class="labelGroup">Company <span
                                                class="mandatorySign">*</span></label>
                                        <select class="mandatory" id="company" name="company">
                                            <option value="" selected="selected" hidden="hidden">Select the
                                                Company</option>
                                            <option value="demo">Demo VE</option>
                                        </select>
                                    </div>
                                    <div class="fields mr-4 mb-4">
                                        <label for="employeeType" class="labelGroup">Employee Type <span
                                                class="mandatorySign">*</span></label>
                                        <select class="mandatory" id="employeeType" name="employeeType">
                                            <option value="" selected="selected" hidden="hidden">Select the
                                                Employee Type</option>
                                            <option value="all">All</option>
                                            <option value="director">Director</option>
                                            <option value="fte">FTE</option>
                                        </select>
                                    </div>
                                </div>

                                <a href="#configurationPopup" rel="modal:open"><button class="oct-btn btn-default mb-4">View Configuration</button></a>
                                <div class="table-responsive table-striped table-hover">
                                    <table class="innerTable">
                                        <tbody>
                                            <tr>

                                                <th class="trHead">Object
                                                </th>
                                                <th class="trHead">Mode </th>
                                                <th class="trHead">Department
                                                </th>
                                                <th class="trHead">Employee
                                                </th>
                                                <th class="trHead">Business Partner
                                                </th>
                                                <th class="trHead">Branch
                                                </th>
                                                <th class="trHead">Dimention 5
                                                </th>
                                                <th class="trHead">Project
                                                </th>
                                                <th class="trHead">Location
                                                </th>
                                            </tr>


                                            <tr>
                                                <td>Salary </td>
                                                <td><select class="mandatory" id="timing" name="timing">
                                                        <option value="monday">NA</option>
                                                        <option value="tuesday"></option>
                                                    </select> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>Employee <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>Sal Branch <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>

                                                <td>Sal Branch <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                            </tr>
                                            <tr>
                                                <td>Hold Salary </td>
                                                <td><select class="mandatory" id="timing" name="timing">
                                                        <option value="monday">NA</option>
                                                        <option value="tuesday"></option>
                                                    </select> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>Employee <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>Sal Branch <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>

                                                <td>Sal Branch <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                            </tr>
                                            <tr>
                                                <td>Arrear Salary </td>
                                                <td><select class="mandatory" id="timing" name="timing">
                                                        <option value="monday">NA</option>
                                                        <option value="tuesday"></option>
                                                    </select> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>Employee <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>Sal Branch <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>

                                                <td>Sal Branch <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                            </tr>
                                            <tr>
                                                <td>Wages </td>
                                                <td><select class="mandatory" id="timing" name="timing">
                                                        <option value="monday">NA</option>
                                                        <option value="tuesday"></option>
                                                    </select> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>Employee <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>Sal Branch <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>

                                                <td>Sal Branch <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                            </tr>
                                            <tr>
                                                <td>Hold Wages </td>
                                                <td><select class="mandatory" id="timing" name="timing">
                                                        <option value="monday">NA</option>
                                                        <option value="tuesday"></option>
                                                    </select> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>Employee <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>Sal Branch <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>

                                                <td>Sal Branch <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                            </tr>
                                            <tr>
                                                <td>Arrear Wages </td>
                                                <td><select class="mandatory" id="timing" name="timing">
                                                        <option value="monday">NA</option>
                                                        <option value="tuesday"></option>
                                                    </select> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>Employee <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>Sal Branch <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                                <td>NA <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>

                                                <td>Sal Branch <input style="margin-left: 30px;" onclick="onCheck()"
                                                        type="checkbox" class="case" name="case" value="1"> </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <button class="oct-btn oct-btn-primary mt-4">Save</button>
                            </div>
                            </div>

                        </div>

                    </div>
                    <!-- / tabs_item -->
                    <!-- / tab_content -->
                </div>
                <!-- / tab -->
            </div>
        </div>



        <div id="configurationPopup" class="modal addFilterTablePopup" style="max-width: 816px !important;">
           <h4>Configuration</h4>
                   
                    <div class="row no-padding">
                        <div class="fields mr-4 mb-2">
                            <label for="databaseServer" class="labelGroup">Database Server <span
                                    class="mandatorySign">*</span></label>
                            <input class="mandatory" type="text" id="databaseServer" name="databaseServer"
                                placeholder="172.16.10.71:30015">
                        </div>

                        <div class="fields mr-4 mb-2">
                            <label for="databaseType" class="labelGroup">Database Type <span
                                    class="mandatorySign">*</span></label>
                            <select style="width: 175px;" class="mandatory" id="databaseType" name="databaseType">
                                <option value="" selected="selected" hidden="hidden">Select the
                                    Database Type</option>
                                <option value="sapHana">SAP HANA</option>
                            </select>
                        </div>
                 
                        <div class="fields mr-4 mb-2">
                            <label for="databaseUID" class="labelGroup">Database UID <span
                                    class="mandatorySign">*</span></label>
                            <input class="mandatory" type="text" id="databaseUID" name="databaseUID"
                                placeholder="B1ADMIN">
                        </div>
                        <div class="fields mb-2">
                            <label for="databasePwd" class="labelGroup">Database Pwd <span
                                    class="mandatorySign">*</span></label>
                            <input class="mandatory" type="text" id="databasePwd" name="databasePwd" placeholder="">
                        </div>

                        <div class="fields mr-4 mb-2 mt-4">
                            <label for="licenseServer" class="labelGroup">License Server <span
                                    class="mandatorySign">*</span></label>
                            <input class="mandatory" type="text" id="licenseServer" name="licenseServer"
                                placeholder="172.16.10.71:40000">
                        </div>
                        <div class="fields mr-4 mb-2 mt-4">
                            <label for="serviceURL" class="labelGroup">Service URL <span
                                    class="mandatorySign">*</span></label>
                            <input class="mandatory" type="text" id="serviceURL" name="serviceURL"
                                placeholder="http://172.16.10.72:8091">
                        </div>
                  
                        <div class="fields mr-4 mb-2 mt-4">
                            <label for="databaseType" class="labelGroup">Database Type <span
                                    class="mandatorySign">*</span></label>
                            <select style="width: 175px;" class="mandatory" id="databaseType" name="databaseType">
                                <option value="" selected="selected" hidden="hidden">Select the
                                    Database Type</option>
                                <option value="sapHana">SAP HANA</option>
                            </select>
                        </div>
                        <button style="margin-top: 38px;" class="oct-btn btn-default">Load Database</button>
                 
                        <div class="fields mr-4 mb-2 mt-4">
                            <label for="userName" class="labelGroup">User Name<span
                                    class="mandatorySign">*</span></label>
                            <input class="mandatory" type="text" id="userName" name="userName" placeholder="Manager">
                        </div>
                        <div class="fields mr-4 mb-2 mt-4">
                            <label for="password" class="labelGroup">Password <span
                                    class="mandatorySign">*</span></label>
                            <input class="mandatory" type="text" id="password" name="password" placeholder="">
                        </div>
              
                        <div class="fields mr-4 mb-2 mt-4">
                            <label for="postingBy" class="labelGroup">Posting By <span
                                    class="mandatorySign">*</span></label>
                            <select style="width: 175px;" class="mandatory" id="postingBy" name="postingBy">
                                <option value="" selected="selected" hidden="hidden">Select the
                                        Posting By</option>
                                <option value="employeeType">Employee Type</option>
                            </select>
                        </div>
                    </div>
                    
                    <button class="oct-btn oct-btn-primary mt-4">Save</button>
                    <button class="oct-btn oct-btn-outline mt-4">Check Connection</button>
             
        </div>

        <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
        <script src="../../../dist/js/sidebar-admin.js"></script>
        <script src="../../../dist/js/topbar.js"></script>
          
        <script src="../../../dist/js/octane.js"></script>


</body>

</html>